Bug 1596882 - [RFE] Add sorting by product to GET /owners/{owner_key}/pools
Summary: [RFE] Add sorting by product to GET /owners/{owner_key}/pools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Candlepin
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On: 1600588
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-29 22:52 UTC by Christine Fouant
Modified: 2020-04-14 13:23 UTC (History)
3 users (show)

Fixed In Version: candlepin-2.7.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1600588 (view as bug list)
Environment:
Last Closed: 2020-04-14 13:22:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
verification screenshot (98.94 KB, image/png)
2020-02-05 22:00 UTC, jcallaha
no flags Details
verification screenshot (50.83 KB, image/png)
2020-02-05 22:01 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:23:14 UTC

Description Christine Fouant 2018-06-29 22:52:48 UTC
Description of problem:

Currently the call to GET /owners/{owner_key}/pools only allows for sorting on the objects themselves. This is a RFE to allow this call to sort by product name.

Comment 1 Christine Fouant 2018-06-29 22:53:43 UTC
blocks https://projects.theforeman.org/issues/23471

Comment 8 Kevin Howell 2018-07-10 20:29:45 UTC
FYI, we discussed a bit internally, and we plan to implement a special endpoint for this (we don't want to support sorting by nested objects globally at this time).

So, FYI, it'll probably look something like /owners/{owner_key}/pools_ordered_by_product (subject to change).

Comment 9 jcallaha 2020-02-05 22:00:03 UTC
Verified in Satellite 6.7 Snap 10

Katello now sorts subscriptions by name. This is true through all interfaces.

See attached screenshots for verification.

Comment 10 jcallaha 2020-02-05 22:00:36 UTC
Created attachment 1658024 [details]
verification screenshot

Comment 11 jcallaha 2020-02-05 22:01:04 UTC
Created attachment 1658025 [details]
verification screenshot

Comment 14 errata-xmlrpc 2020-04-14 13:22:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.